import { atomFamily } from 'recoil';

/**
 * Atom family for storing the metadata for an individual _cycle_ candidate.
 * A cycle candidate is generally a presidential candidate running in a whole
 * cycle's worth of primaries.
 *
 * NOTE: This atom is a multi-source atom, meaning that you should not use the
 * atom directly. It is a stub for the `cycleCandidateMetadata` selector.
 */
const cycleCandidateMetadata = atomFamily({
  key: 'int-style.election.atoms.cycleCandidateMetadata',
  default: undefined
});
export default cycleCandidateMetadata;