import classnames from 'classnames';
import MarkdownContent from "../../../content/MarkdownContent/index.js";
import GridItem from "../../../layout/GridItem/index.js";
import customizable from "../../../../utils/css/customizable.js";
import classes from './styles.module.scss';
const Block = function Block(props) {
  const {
    title,
    description,
    fullWidth,
    content,
    linksExternal
  } = props;
  return <GridItem md={fullWidth ? '12' : '6'} margin={{
    t: '6'
  }}>
      <div className={classnames(customizable('InteractiveFooter__block'), classes.block)}>
        {content || <>
            <h2 className={classes.title}>
              {title}
            </h2>
            <MarkdownContent source={description} unstyled linksExternal={linksExternal} />
          </>}
      </div>
    </GridItem>;
};
export default Block;