/**
 * Formatting and icon options for the recount tag by size
 *
 * @property {object} options.format    - The formats passed to the `ContestRecountStatus` component at `ContestInfoTag`'s respective size
 * @property {object} options.iconSize  - The icon sizes passed to the `ElectionIcon` component at the `ContestInfoTag`'s respective size
*/

export default {
  format: {
    '000': 'iconOnly',
    100: 'full',
    200: 'full',
    300: 'full',
    400: 'full',
    500: 'full'
  },
  iconSize: {
    '000': '3',
    100: '3',
    200: '3',
    300: '4',
    400: '4',
    500: '5'
  }
};