import ElectionIcon from "../../ElectionIcon/index.js";
import classnames from 'classnames';
import classes from './styles.module.scss';
import options from './options';
import typography from '../typography.module.scss';
const Runoff = function Runoff(props) {
  const {
    size
  } = props;
  const text = options.text[size];
  const iconType = 'OutcomeRunoff';
  const iconSize = options.iconSize[size];
  return <span className={classnames(classes.container, classes[`size-${size}`], typography.bold)}>
      <ElectionIcon type={iconType} size={iconSize} color="currentColor" />
      {text}
    </span>;
};
export default Runoff;