import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';

/* eslint-disable max-len */
const path = <path d="M103.119 217.317C88.6831 230.463 64 221.153 64 202.562V52.9093C64 34.3184 88.683 25.008 103.119 38.1538L185.288 112.98C194.237 121.129 194.237 134.342 185.288 142.491L103.119 217.317Z" />;
/* eslint-enable max-len */

const weights = new Map([['thin', path], ['light', path], ['regular', path], ['bold', path], ['fill', path], ['duotone', path]]);
const LinkCaret = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
LinkCaret.displayName = 'LinkCaret';
export default LinkCaret;