import PropTypes from 'prop-types';
import classnames from 'classnames';
import IfActive from "../../../application/IfActive/index.js";
import { useContestMetadata } from "../../../../hooks/election/index.js";
import { useResultsTableFormatContext } from '../context';
import typography from '../typography.module.scss';
import classes from './styles.module.scss';
const Header = function Header(props) {
  const {
    id
  } = props;
  const {
    showVotes,
    size
  } = useResultsTableFormatContext();
  const metadata = useContestMetadata(id);
  if (!metadata || metadata.isUncontested) {
    return null;
  }
  return <thead>
      <tr className={classes['grid-container']}>
        <th className={classes.visuallyHidden} scope="col">
          Candidate
        </th>
        <IfActive active={showVotes}>
          <th className={classnames(classes.text, classes[size], typography.label)} scope="col">
            Votes
          </th>
        </IfActive>
        <th className={classnames(classes.text, classes[size], typography.label)} scope="col">
          Pct.
        </th>
      </tr>
    </thead>;
};
Header.defaultProps = {};
Header.propTypes = {
  id: PropTypes.string.isRequired
};
export default Header;