import classnames from 'classnames';
import { useCandidateResults } from "../../../../hooks/election/index.js";
import { getFormattedCandidateVotes } from "../../../../utils/election/index.js";
import classes from './styles.module.scss';
import { useResultsTableFormatContext } from '../context';
const VoteBar = function VoteBar(props) {
  const {
    id,
    candidateId
  } = props;
  const {
    size
  } = useResultsTableFormatContext();
  const results = useCandidateResults(id, candidateId);
  const percent = getFormattedCandidateVotes(results, {
    format: 'percent'
  });
  return <span className={classnames(classes.container, classes[size])} style={{
    width: percent
  }} />;
};
export default VoteBar;