import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M48.9,154L65.5,13.5L61.6,8L161.5,9.3L179.1,108.8L191.1,136.7L184.6,142.8L181.5,156.7L185.7,170.5L183.3,187.4L187.7,196L151.8,196.8L83.2,196.5L81.7,202.7L91.1,212.6L92.4,222.9L86.1,230.2L70.9,232L74.9,228.1L64.3,212.9L61.1,228.1L50.7,225.6Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Alabama = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Alabama.displayName = 'Alabama';
const AlabamaWithColor = withColor(Alabama);
AlabamaWithColor.stateFips = '01';
export default AlabamaWithColor;