import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M8,21.8L75,23.1L152.3,23.2L208.4,22.6L212.7,33.2L199.3,50.6L228,49.8L232,55.6L218.3,67L222,70.8L209.2,90.7L212.8,99.4L203.3,104.6L205.8,111.3L196.1,115.5L190.6,127.8L191.3,139L176.7,149.9L177,160.9L169.2,169.4L170.9,175.7L162.3,188.9L169.3,205.3L164.9,218.2L115.4,218.1L30.1,216.7L30.7,187L16.2,186.4L10.2,181.7L14.9,85.1Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Arkansas = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Arkansas.displayName = 'Arkansas';
const ArkansasWithColor = withColor(Arkansas);
ArkansasWithColor.stateFips = '05';
export default ArkansasWithColor;