import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M75.5,26.8L82.6,15.5L100.8,8L120,14L102.1,41.8L107.9,50.2L106,63.1L97.9,66.1L100.5,72.6L120.9,100.8L122.4,134.2L129.4,140.3L134,157.5L152.3,177.3L161,176.2L166.3,232L111.9,231.7L84.8,230.6L76.1,82.5L73.7,26.8Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Delaware = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Delaware.displayName = 'Delaware';
const DelawareWithColor = withColor(Delaware);
DelawareWithColor.stateFips = '10';
export default DelawareWithColor;