import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M24,8L102.7,8.9L123,8.3L113.8,23.7L125.4,32.8L132.4,33.8L145.2,59.2L154.5,65.2L161.2,75.3L170.7,82.3L177.8,97.3L188.2,103.7L192.8,123.4L201.2,130.1L204.8,147L216,151.1L204.5,165.9L197.8,191L193.8,195L192.4,215.1L171.6,209.7L167.9,213.5L167.8,231.9L162,232L160.3,222.6L50.2,215.1L40.5,192L43.5,174.7L39.6,160.4L43.3,146.1L50.2,140.1L38.8,111Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Georgia = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Georgia.displayName = 'Georgia';
const GeorgiaWithColor = withColor(Georgia);
GeorgiaWithColor.stateFips = '13';
export default GeorgiaWithColor;