import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M175.8,158.3L185.8,146.4L182.8,135.4L211,146.6L219.5,160.3L232,169.7L216.5,182.5L200.9,189L193.4,199.7L182.3,191.1L183.3,179.1ZM146,103.6L166.6,102.6L177.4,109.4L171.8,117.5L158.2,119L156.3,109.8ZM129.9,104L141.2,108.4L134,112.6ZM120,92.2L120.8,88.9L145.6,92.1L138,97.4ZM77.2,71.6L89,65.5L101,87.1L82.9,85.4ZM8,47.8L17.2,40.3L30,45.3L23,57.5Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Hawaii = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Hawaii.displayName = 'Hawaii';
const HawaiiWithColor = withColor(Hawaii);
HawaiiWithColor.stateFips = '15';
export default HawaiiWithColor;