import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M48.7,225.9L59.1,201.4L74.1,176.4L68.2,153.4L73.1,143.4L75,11.2L85.9,16.3L104.2,8.6L188.6,8L190.1,86.8L190.7,156.6L187.4,159.6L191.3,174.5L175,180.2L163.6,178.9L165.2,188.3L153.5,202.4L147.7,203.2L143.1,217.4L130.6,217.9L125.5,210.9L116.7,217L112.5,227.3L103.9,219.2L95.1,223.5L90.8,232L77.1,222L67.9,227L57,223Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Indiana = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Indiana.displayName = 'Indiana';
const IndianaWithColor = withColor(Indiana);
IndianaWithColor.stateFips = '18';
export default IndianaWithColor;