import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M12.3,62.2L77.1,64.1L158.2,64.2L207.5,63.1L220.8,72.1L213.7,79.7L229.1,95.8L232,175.6L146.2,177.8L87.5,177.7L8,175.8Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Kansas = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Kansas.displayName = 'Kansas';
const KansasWithColor = withColor(Kansas);
KansasWithColor.stateFips = '20';
export default KansasWithColor;