import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M8,20.5L48.3,22.3L108.8,22.3L140.2,21.2L150.5,31.2L147.5,40.2L152.5,59.2L174,79.2L176.7,93.7L183,91.7L195,96.3L186.8,119.2L192.3,128.9L216.4,145.4L220.1,157.8L217.2,163.3L222.9,173.4L232,176.8L228.2,193.7L217.2,193.8L218.2,203.7L212.5,209L211.4,218.7L189.2,219.5L199.5,206L196.2,197.8L93.1,198.6L41.4,197.7L44.4,85L28.1,65.6L36.7,57.4L18.8,43.1L11.3,31.9Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Missouri = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Missouri.displayName = 'Missouri';
const MissouriWithColor = withColor(Missouri);
MissouriWithColor.stateFips = '29';
export default MissouriWithColor;