import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M8.2,131.6L11.4,68.1L59.9,70.1L148.3,70.7L162,78.2L164.2,74.9L179.5,74.9L201.2,87.4L204.4,101.3L214,120.8L217.7,139.9L215.9,145L222.6,158.7L232,169.1L188.1,170.8L115.7,171.9L57.9,171L58.9,137.3L8,135.4Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Nebraska = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Nebraska.displayName = 'Nebraska';
const NebraskaWithColor = withColor(Nebraska);
NebraskaWithColor.stateFips = '31';
export default NebraskaWithColor;