import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M44.8,93.6L47.7,8L128,9L189.5,8L195.4,193.5L177.7,196.8L182.7,227.6L181.3,232L44.6,103.7Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Nevada = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Nevada.displayName = 'Nevada';
const NevadaWithColor = withColor(Nevada);
NevadaWithColor.stateFips = '32';
export default NevadaWithColor;