import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M20.1,213L26.3,8L107.2,9.6L174.6,9.2L216.7,8L216,27.7L218.8,123.1L220.5,205.1L150.6,206.4L101.6,206.4L104.5,215L48.3,214.3L47.9,232L19.5,231.3Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const NewMexico = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
NewMexico.displayName = 'NewMexico';
const NewMexicoWithColor = withColor(NewMexico);
NewMexicoWithColor.stateFips = '35';
export default NewMexicoWithColor;