import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M9.2,118.5L22.6,108L29.5,108.3L66.9,92L75.1,85.5L76,77.8L110.3,79.5L154.8,79.4L220.5,77.3L232,106.4L230.6,117.9L215.6,125.9L205.9,138.7L190.6,137.8L178.1,146.5L170.1,162.4L155.1,162.7L125.9,133.4L97.4,132.7L91.2,122.6L56.6,120.3L38.8,126L8,125.2Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const NorthCarolina = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
NorthCarolina.displayName = 'NorthCarolina';
const NorthCarolinaWithColor = withColor(NorthCarolina);
NorthCarolinaWithColor.stateFips = '37';
export default NorthCarolinaWithColor;