import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M8.2,76.4L8.7,66L33.3,67.1L128.1,68.4L224,66.2L224.7,82.3L231,118.3L232,174L211.8,164.4L187.3,169.3L181.7,173.9L167.1,166.1L160.7,173.4L146.6,164.9L128.1,159.7L106.2,157.9L103.9,152.3L92.7,152.4L84.8,146.6L85.6,84.2L8,82Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Oklahoma = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Oklahoma.displayName = 'Oklahoma';
const OklahomaWithColor = withColor(Oklahoma);
OklahomaWithColor.stateFips = '40';
export default OklahomaWithColor;