import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M93.1,226.8L100.5,208.6L109.7,207.3L114.8,231.2L100.4,232ZM49,187.2L53.8,178.6L53.1,163.6L61.2,162.5L62.9,116.2L63,83.4L61.4,10.7L141.1,8L141.1,40.2L149.2,40.2L151.2,68.6L164.2,76.4L176.9,96.2L188.9,100L188.1,114.7L191.5,141.7L177.6,151.9L159.7,144.3L154.5,153.7L132.2,153L121.7,174.1L107.8,173.7L79.6,183L48.5,189.9Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const RhodeIsland = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
RhodeIsland.displayName = 'RhodeIsland';
const RhodeIslandWithColor = withColor(RhodeIsland);
RhodeIslandWithColor.stateFips = '44';
export default RhodeIslandWithColor;