import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M11.6,91.8L13.7,53.7L55.5,55.3L141.3,56.3L223.3,54.3L216.4,65.9L227.4,79.4L230.9,152.1L226.6,152.3L232,167.6L225.2,186.3L208.9,179.1L190.6,179.2L188,183.1L171.6,174.3L121.5,174.9L66,174.2L8,172.2Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const SouthDakota = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
SouthDakota.displayName = 'SouthDakota';
const SouthDakotaWithColor = withColor(SouthDakota);
SouthDakotaWithColor.stateFips = '46';
export default SouthDakotaWithColor;