import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M8.3,143.3L26.4,116.4L29.8,97.2L68,98.3L73.1,94.1L179.7,95.5L232,92.8L230.9,101.6L222.9,108.8L185.5,127.9L178.4,128.1L165.3,139.1L164.4,146.7L136.6,147.2L63.1,146.2L8,144.3Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Tennessee = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Tennessee.displayName = 'Tennessee';
const TennesseeWithColor = withColor(Tennessee);
TennesseeWithColor.stateFips = '47';
export default TennesseeWithColor;