import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M14.5,39.8L15.1,34.1L91.5,36.2L158.6,36.3L224.8,34.2L232,203.6L163.6,205.8L97.6,205.9L8,203.8Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Wyoming = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Wyoming.displayName = 'Wyoming';
const WyomingWithColor = withColor(Wyoming);
WyomingWithColor.stateFips = '56';
export default WyomingWithColor;